Bug 653103 - failure to redraw correctly under certain conditions
Summary: failure to redraw correctly under certain conditions
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 15:28 UTC by James Bridge
Modified: 2012-08-16 19:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:16:49 UTC
Type: ---


Attachments (Terms of Use)
small c program which demonstrates the problem (3.55 KB, text/plain)
2010-11-14 15:28 UTC, James Bridge
no flags Details
even shorter test program (1.54 KB, text/plain)
2010-11-17 21:03 UTC, James Bridge
no flags Details
Put the drawing commands in a separate function and it works ok! (2.14 KB, text/plain)
2010-12-11 22:24 UTC, James Bridge
no flags Details

Description James Bridge 2010-11-14 15:28:29 UTC
Created attachment 460374 [details]
small c program which demonstrates the problem

Description of problem:
the attached file demonstrates the problem. (I encountered it while developing a program to do things with the Mandelbrot set.) You should always see a polygonal figure but sometimes areas are filled black

Version-Release number of selected component (if applicable):
gtk2-2.22.0-1.fc14.1.x86_64
cairo-1.10.0-2.fc14.x86_64
gcc-4.5.1-4.fc14.x86_64

How reproducible:
very

Steps to Reproduce:
1. Compile and run to get an empty window,
2. left-click to get a figure which always draws correctly and  
3. right-click to get one which looks very similar but misbehaves. To see this, try resizing the window, minimizing and maximizing, hiding under another window etc.

  
Actual results:
polygonal figures, some areas filled. See attached images.

Expected results:
no fill

Additional info:
Changing the constant term 1.4 in the function draw_iter() makes the program behave correctly (for these starting points).

Comment 1 James Bridge 2010-11-17 21:03:46 UTC
Created attachment 461160 [details]
even shorter test program

In this case the coordinates of the points are coded explicitly. I have tried varying the values and in some cases larger variations are possible before the incorrect redraw problem vanishes.

Note that the first line drawn almost but not quite coincides with the last and the second and third lines. If the numbers are made exactly the same, the problem goes away!

Comment 2 James Bridge 2010-12-11 22:24:45 UTC
Created attachment 468174 [details]
Put the drawing commands in a separate function and it works ok!

Comment 3 Fedora End Of Life 2012-08-16 19:16:51 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.